org.apache.avro.file

## Class DataFileWriter.AppendWriteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.avro.file.DataFileWriter.AppendWriteException

All Implemented Interfaces:
  Serializable

Enclosing class:
  DataFileWriter<D>

    public static class DataFileWriter.AppendWriteException
    extends RuntimeException

Thrown by `DataFileWriter.append(Object)` when an exception occurs while writing a datum to the buffer. When this is thrown, the file is unaltered and may continue to be appended to.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AppendWriteException(Exception e)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AppendWriteException

    public AppendWriteException(Exception e)